/*
 * TChunkHead.java
 *
 * Created on 2005/06/28
 * Copyright 2005 Takeshi Yoneki / OSTRA / OSTRACISM CO., All rights reserved.
 */
package jp.maccreators.ostra.ggg4j;

import java.io.OutputStream;
import java.nio.ByteBuffer;

/**
 * TChunkHead `Nwb_NX
 * @author	ostra
 */
public class TChunkHead extends TChunk{
	public int m_version = 0;
	public int m_pixelNumber = 0;

	public TChunkHead() {
		m_ckID = CKID_HEAD;
		m_version = 0x10000;
	}

	/**
	 * ǂݍݍς݃`N̕ϊ
	 */
	public TChunkHead(TChunk ck) {
		m_ckID = ck.m_ckID;
		m_ckSize = ck.m_ckSize;
		m_data = ck.m_data;

		m_version = m_data.getInt();
		if (m_version >= 0x10000) {
			m_pixelNumber = m_data.getInt();
		}
	}
	
	/**
	 * o
	 */
	public int write(OutputStream stream) {
		m_data = ByteBuffer.allocate(256);
		m_data.putInt(m_version);
		m_data.putInt(m_pixelNumber);
		return super.write(stream);
	}
}
